Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ObjectReferenceTemplate Interface Reference

`#include <ObjectReferenceTemplateC.h>`

Inheritance diagram for PortableInterceptor::ObjectReferenceTemplate:

[legend]
Collaboration diagram for PortableInterceptor::ObjectReferenceTemplate:

[legend]
List of all members.

## Public Types
typedef ObjectReferenceTemplate * | _ptr_type
typedef ObjectReferenceTemplate_var | _var_type
## Public Methods
virtual const char * | _tao_obv_repository_id () const
| TAO extension. More...
virtual char * | server_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0
virtual char * | orb_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0
virtual::PortableInterceptor::AdapterName * | adapter_name (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0
## Static Public Methods
ObjectReferenceTemplate * | _downcast (CORBA::ValueBase *)
CORBA::Boolean | _tao_unmarshal (TAO_InputCDR &, ObjectReferenceTemplate *&)
const char * | _tao_obv_static_repository_id ()
void | _tao_any_destructor (void *)
## Public Attributes
readonly attribute ServerId | server_id
readonly attribute ORBId | orb_id
readonly attribute AdapterName | adapter_name
## Protected Methods
| ObjectReferenceTemplate ()
virtual | ~ObjectReferenceTemplate ()
virtual void * | _tao_obv_narrow (ptr_arith_t)
virtual CORBA::Boolean | _tao_marshal_v (TAO_OutputCDR &)
| during marshal jump to the most derived part. More...
virtual CORBA::Boolean | _tao_unmarshal_v (TAO_InputCDR &)
| called after obtaining the fresh object from create_for_unmarshal (). More...
## Private Methods
| ObjectReferenceTemplate (const ObjectReferenceTemplate &)
void | operator= (const ObjectReferenceTemplate &)

## Member Typedef Documentation

typedef ObjectReferenceTemplate* PortableInterceptor::ObjectReferenceTemplate::_ptr_type

| Reimplemented from PortableInterceptor::ObjectReferenceFactory.

typedef ObjectReferenceTemplate_var PortableInterceptor::ObjectReferenceTemplate::_var_type

| Reimplemented from PortableInterceptor::ObjectReferenceFactory.

## Constructor & Destructor Documentation

ACE_INLINE PortableInterceptor::ObjectReferenceTemplate::ObjectReferenceTemplate | ( |  | ) | `[protected]`

ACE_INLINE PortableInterceptor::ObjectReferenceTemplate::~ObjectReferenceTemplate | ( |  | ) | `[protected, virtual]`

PortableInterceptor::ObjectReferenceTemplate::ObjectReferenceTemplate | ( | const ObjectReferenceTemplate & |  | ) | `[private]`

## Member Function Documentation

PortableInterceptor::ObjectReferenceTemplate * PortableInterceptor::ObjectReferenceTemplate::_downcast | ( | CORBA::ValueBase * | v | ) | `[static]`

| Reimplemented from PortableInterceptor::ObjectReferenceFactory.

void PortableInterceptor::ObjectReferenceTemplate::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

| Reimplemented from PortableInterceptor::ObjectReferenceFactory.

CORBA::Boolean PortableInterceptor::ObjectReferenceTemplate::_tao_marshal_v | ( | TAO_OutputCDR & |  | ) | `[protected, virtual]`

| during marshal jump to the most derived part. Reimplemented from PortableInterceptor::ObjectReferenceFactory.

void * PortableInterceptor::ObjectReferenceTemplate::_tao_obv_narrow | ( | ptr_arith_t | type_id | ) | `[protected, virtual]`

| Reimplemented from PortableInterceptor::ObjectReferenceFactory.

const char * PortableInterceptor::ObjectReferenceTemplate::_tao_obv_repository_id | ( | void |  | ) | const`[virtual]`

| TAO extension. Reimplemented from PortableInterceptor::ObjectReferenceFactory.

ACE_INLINE const char * PortableInterceptor::ObjectReferenceTemplate::_tao_obv_static_repository_id | ( |  | ) | `[static]`

| Reimplemented from PortableInterceptor::ObjectReferenceFactory.

CORBA::Boolean PortableInterceptor::ObjectReferenceTemplate::_tao_unmarshal | ( | TAO_InputCDR & | strm,
|  | ObjectReferenceTemplate *& | new_object
| ) | `[static]`

CORBA::Boolean PortableInterceptor::ObjectReferenceTemplate::_tao_unmarshal_v | ( | TAO_InputCDR & |  | ) | `[protected, virtual]`

| called after obtaining the fresh object from create_for_unmarshal (). Reimplemented from PortableInterceptor::ObjectReferenceFactory.

virtual ::PortableInterceptor::AdapterName* PortableInterceptor::ObjectReferenceTemplate::adapter_name | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[pure virtual]`

void PortableInterceptor::ObjectReferenceTemplate::operator= | ( | const ObjectReferenceTemplate & |  | ) | `[private]`

virtual char* PortableInterceptor::ObjectReferenceTemplate::orb_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[pure virtual]`

virtual char* PortableInterceptor::ObjectReferenceTemplate::server_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | `[pure virtual]`

## Member Data Documentation

readonly attribute AdapterName PortableInterceptor::ObjectReferenceTemplate::adapter_name

readonly attribute ORBId PortableInterceptor::ObjectReferenceTemplate::orb_id

readonly attribute ServerId PortableInterceptor::ObjectReferenceTemplate::server_id

The documentation for this interface was generated from the following files:

- ObjectReferenceTemplate.pidl
- ObjectReferenceTemplateC.h
- ObjectReferenceTemplateC.cpp
- ObjectReferenceTemplateC.i